Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154497 - incorrect keycodes for Sun type6 keyboard
Summary: incorrect keycodes for Sun type6 keyboard
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 08:29 UTC by dann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 11:24:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 2037 None None None Never

Description dann 2005-04-12 08:29:22 UTC
Description of problem:
I use a Sun type6 USB keyboard connected to a PC.(part #3201273-01)
The keycodes emitted by some of the keys are incorrect (as shown by running xev). 


Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.FC3.13

Here is a patch that fixes the incorrect keycodes: 

diff -u /usr/X11R6/lib/X11/xkb/keycodes/sun.orig /usr/X11R6/lib/X11/xkb/keycodes/sun
--- /usr/X11R6/lib/X11/xkb/keycodes/sun.orig    2005-03-31 17:12:18.000000000 -0800
+++ /usr/X11R6/lib/X11/xkb/keycodes/sun 2005-03-31 17:18:49.000000000 -0800
@@ -424,23 +424,23 @@
     <KP0>  =  90;
     <KPDL> =  91;
 
-    <STOP> = 222;
-    <AGAI> = 223;
-    <PROP> = 224;
-    <UNDO> = 225;
-    <FRNT> = 226;
-    <COPY> = 227;
-    <OPEN> = 228;
-    <PAST> = 229;
-    <FIND> = 230;
-    <CUT>  = 231;
-
-    <HELP> = 232;
-
-    <MUTE> = 165;
-    <VOL-> = 159;
-    <VOL+> = 158;
-    <POWR> = 160;
+    <STOP> = 232;
+    <AGAI> = 133;
+    <PROP> = 134;
+    <UNDO> = 135;
+    <FRNT> = 140;
+    <COPY> = 248;
+    <OPEN> = 191;
+    <PAST> = 192;
+    <FIND> = 122;
+    <CUT>  = 188;
+
+    <HELP> = 245;
+
+    <MUTE> = 160;
+    <VOL-> = 174;
+    <VOL+> = 176;
+    <POWR> = 222;
 
     indicator 1 = "Caps Lock";
     indicator 2 = "Num Lock";

Comment 1 Mike A. Harris 2005-04-13 23:54:37 UTC
This appears to be a generic issue with X.Org, rather than a distribution
specific issue.  Please report a bug in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.

The patch you've supplied above, patches the runtime installed files,
rather than the source code files (which are different).  You'll probably
need to unpack the Xorg source code, and generate a patch against the
source code file that is used to autogenerate the keycodes files, however
X.Org will advise if that's required.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.



Comment 2 Mike A. Harris 2005-04-13 23:55:45 UTC
Setting status to "NEEDINFO", awaiting upstream bug URL for tracking.

Comment 3 dann 2005-04-14 00:29:02 UTC
It turns out that this bug was already reported to X.org.

The link:

https://bugs.freedesktop.org/show_bug.cgi?id=2037

(there's also a patch available there)

Comment 4 Mike A. Harris 2005-04-15 11:24:11 UTC
Thanks, setting status to "UPSTREAM" for tracking in the X.org bugzilla.


Note You need to log in before you can comment on or make changes to this bug.